Skip to main content
GET
/
v2
/
brands
/
{identifier}
Get brand data
curl --request GET \
  --url https://api.brandfetch.io/v2/brands/{identifier} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "domain": "<string>",
  "claimed": true,
  "description": "<string>",
  "longDescription": "<string>",
  "links": [
    {
      "name": "twitter",
      "url": "<string>"
    }
  ],
  "logos": [
    {
      "theme": "dark",
      "formats": [
        {
          "src": "<string>",
          "format": "svg",
          "height": 123,
          "width": 123,
          "size": 123,
          "background": "transparent"
        }
      ],
      "tags": [
        {}
      ],
      "type": "icon"
    }
  ],
  "colors": [
    {
      "hex": "<string>",
      "type": "accent",
      "brightness": 123
    }
  ],
  "fonts": [
    {
      "name": "<string>",
      "type": "title",
      "origin": "google",
      "originId": "<string>",
      "weights": [
        {}
      ]
    }
  ],
  "images": [
    {
      "formats": [
        {
          "src": "<string>",
          "format": "svg",
          "height": 123,
          "width": 123,
          "size": 123,
          "background": "transparent"
        }
      ],
      "tags": [
        {}
      ],
      "type": "banner"
    }
  ],
  "qualityScore": 123,
  "company": {
    "employees": 1,
    "financialIdentifiers": {
      "isin": [
        "<string>"
      ],
      "ticker": [
        "<string>"
      ]
    },
    "foundedYear": 123,
    "industries": [
      {
        "id": "<string>",
        "score": 123,
        "slug": "<string>",
        "name": "<string>",
        "emoji": "<string>",
        "parent": [
          {
            "id": "<string>",
            "slug": "<string>",
            "name": "<string>",
            "emoji": "<string>"
          }
        ]
      }
    ],
    "kind": "EDUCATIONAL",
    "location": {
      "city": "<string>",
      "country": "<string>",
      "countryCode": "<string>",
      "region": "<string>",
      "state": "<string>",
      "subregion": "<string>"
    }
  },
  "isNsfw": true,
  "urn": "<string>"
}
This endpoint supports auto-detection of the identifier type. To prevent issues with naming collisions, we recommend using one the explicit type routes:

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier
string
required

Identifier to retrieve brand data. Accepted formats:

  • Domain: nike.com
  • Brand ID: id_0dwKPKT
  • Stock or ETF ticker: NKE
  • ISIN: US6541061031
  • Crypto symbol: BTC, ETH

Note: When using this generic endpoint, the identifier is resolved in the following order: domaintickerisincrypto. To avoid naming collisions, use explicit type routes: /v2/brands/{type}/{identifier} where type can be domain, ticker, isin, or crypto.

Query Parameters

allowNsfw
boolean

Brandfetch evaluates brands for NSFW content and reserves the right to not return inappropriate brands. Depending on the severity, a brand may either not be returned at all (404), or be returned with its isNsfw property set to true. The allowNsfw query parameter lets you control this behavior:

  • Not set (default) — Some NSFW brands are not returned (404), others are returned with isNsfw: true.
  • true — Returns the brand regardless of its NSFW status.
  • false — Filters out all brands flagged as NSFW (returns 404).

Response

Successful request.

id
string

Unique identifier for the brand

name
string | null

Brand name

domain
string

Brand website URL

claimed
boolean

Set to true if the owner of the brand claimed its brand profile on Brandfetch

description
string | null

Brand description

longDescription
string | null

Brand long description

Social media links of the brand

logos
object[]

Logos, symbols & icons of the brand

colors
object[]

Accent, dark, light & palette colors of the brand

fonts
object[]

Title & body fonts of the brand

images
object[]

Banner & other images of the brand

qualityScore
number

Score between 0-1 which indicates the quality of the data for the given brand. Useful when you don't want to show lower quality brands to your users.

Lower 3rd is poor quality, middle 3rd is OK quality, upper 3rd is high quality. Lower scores indicate that a brand is less likely to be "real". For example, where google.com will score high, my-random-blog.com will score between 0.3-0.4. The score factors in things like data-recency, whether the brand has been claimed, if it has been manually verified by our team, the brand's domain ranking on the web, as well as other factors.

Don't rely on a fixed score for any given brand. The way we calculate this score may change over time as we add new factors, or tweak the weights of existing ones such that a score for a given brand may change. However, they will remain aligned such that scores divide quality into thirds: low, medium, high.

company
object

The company object returns firmographic data related to the brand

isNsfw
boolean

true when the brand is for adult content, e.g. is not safe for work

urn
string

Uniform Resource Name for the brand